### Property

# WebKit WebView:web-extension-mode

since: 2.38

#### Declaration

    property web-extension-mode: WebKit.WebExtensionMode [ read, write, construct-only ]

#### Description [src]

This configures `web_view` to treat the content as a WebExtension.

Note that this refers to the web standard WebExtensions and not WebKitWebExtensions.

In practice this limits the Content-Security-Policies that are allowed to be set. Some details can be found in Chrome’s documentation.

Type: | `WebKitWebExtensionMode`
Available since: | 2.38

Getter method | `webkit_web_view_get_web_extension_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes